Bug 35936 - New desktop theme
New desktop theme
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: X.Org
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Felix Botner
Alexander Kramer
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-16 09:15 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
05_KDM-Login.tar.gz (5.11 MB, application/x-compressed-tar)
2014-09-16 09:16 CEST, Stefan Gohmann
Details
06_Loginsplash.tar.gz (5.24 MB, application/x-compressed-tar)
2014-09-16 09:17 CEST, Stefan Gohmann
Details
07_Desktop-Hintergruende.tar.gz (5.46 MB, application/x-compressed-tar)
2014-09-16 09:17 CEST, Stefan Gohmann
Details
Updated screenshot (935.65 KB, image/jpeg)
2014-09-25 13:01 CEST, Alexander Kläser
Details
Update archive file with images for KDM login (1.70 MB, application/x-gzip)
2014-09-25 13:02 CEST, Alexander Kläser
Details
KDM login box (6.62 KB, image/png)
2014-10-16 13:11 CEST, Alexander Kläser
Details
Univention "u" vector graphic file (50.21 KB, image/svg+xml)
2014-10-16 13:13 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-16 09:15:33 CEST
Please use the attached graphics:
 * 05_KDM-Login.tar.gz → KDM login theme
 * 06_Loginsplash.tar.gz → KDE login splash
 * 07_Desktop-Hintergruende.tar.gz → KDE background image
Comment 1 Stefan Gohmann univentionstaff 2014-09-16 09:16:32 CEST
Created attachment 6111 [details]
05_KDM-Login.tar.gz
Comment 2 Stefan Gohmann univentionstaff 2014-09-16 09:17:11 CEST
Created attachment 6112 [details]
06_Loginsplash.tar.gz
Comment 3 Stefan Gohmann univentionstaff 2014-09-16 09:17:53 CEST
Created attachment 6113 [details]
07_Desktop-Hintergruende.tar.gz
Comment 4 Alexander Kläser univentionstaff 2014-09-16 10:02:19 CEST
05_KDM-Login.tar.gz is based on the theme ariva that ships with the package kdm. Data can be found at:
  /usr/share/kde4/apps/kdm/themes/ariya.

06_Loginsplash.tar.gz is based on the default theme that comes with the package kde-workspace-data. You find the data at: 
  /usr/share/kde4/apps/ksplash/Themes/Default/
The theme lucide-simple might also be helpful (there is a "dot animation" there). It can be downloaded via KDE theme manager or via kde-look.org:
  http://kde-look.org/content/show.php/Kubuntu+Lucid+Simple?content=123353
Comment 5 Stefan Gohmann univentionstaff 2014-09-22 08:10:02 CEST
univention-kdm is currently only a recommended package of univention-kde. I think you should make it as dependency otherwise it won't be installed after an upgrade.
Comment 6 Alexander Kläser univentionstaff 2014-09-25 13:01:53 CEST
Created attachment 6133 [details]
Updated screenshot

Attached you find an updated screenshot for the KDM login.
Cf. Bug 35935 for the KSplash animation images + details on scaling.
Comment 7 Alexander Kläser univentionstaff 2014-09-25 13:02:51 CEST
Created attachment 6134 [details]
Update archive file with images for KDM login
Comment 8 Felix Botner univentionstaff 2014-09-26 13:22:58 CEST
done, KDM theme, KSPLASH theme, KDE default desktop wallpaper
Comment 9 Stefan Gohmann univentionstaff 2014-09-30 16:05:38 CEST
It looks good but the design is not yet final. Moving to interim-3
Comment 10 Alexander Kläser univentionstaff 2014-10-16 13:11:54 CEST
Created attachment 6181 [details]
KDM login box

Please see Bug 35935 for background graphic files in different resolutions, the splash animation, and the univention logo. Attached you find the final version of the KDM login box (with a stronger shadow similar to the boot animation).
Comment 11 Alexander Kläser univentionstaff 2014-10-16 13:13:57 CEST
Created attachment 6182 [details]
Univention "u" vector graphic file

Could you please just integrate the attached .svg file into the source package? It contains the structure from the desktop background, this might be helpful to have later on.
Comment 12 Stefan Gohmann univentionstaff 2014-10-19 19:40:20 CEST
Back to Felix.
Comment 13 Felix Botner univentionstaff 2014-10-20 12:49:29 CEST
done
Comment 14 Felix Botner univentionstaff 2014-10-22 11:15:01 CEST
Added removal of univention-gdm-sessions, univention-gdm and kdm to postup.sh (and dpkg-reconfigure kdm to favour kdm)

Please also check the update from 3.2 to UCS 4.0 with univention-kde installed, after the update kdm should be used.
Comment 15 Alexander Kramer univentionstaff 2014-11-03 09:19:15 CET
OK - changelog: univention-kdm 1.0.0-5, univention-kde 9.0.2-4

1) UCS4.0-0 App-Center installation
OK - grub menu
OK - boot splash
OK - login theme
OK - login splash
OK - background image (800x600, 1024x768)

2) update from UCS3.2-3 to UCS4.0-0
FAILED - grub menu
OK - boot splash
FAILED - login theme
FAILED - login splash
FAILED - background image (800x600, 1024x768)

both packages are installed:
univention-kde:
  Installiert:           9.0.2-4.257.201410201232
univention-kdm:
  Installiert:           1.0.0-5.10.201410201201
Comment 16 Felix Botner univentionstaff 2014-11-03 11:18:22 CET
> 
> 2) update from UCS3.2-3 to UCS4.0-0
> FAILED - grub menu
> OK - boot splash
> FAILED - login theme
> FAILED - login splash
> FAILED - background image (800x600, 1024x768)
> 
> both packages are installed:
> univention-kde:
>   Installiert:           9.0.2-4.257.201410201232
> univention-kdm:
>   Installiert:           1.0.0-5.10.201410201201

Fixed "login splash" but everything else works for me, can i see your system?
Comment 17 Alexander Kramer univentionstaff 2014-11-03 14:05:58 CET
> Fixed "login splash" but everything else works for me, can i see your system?

Something went wrong during the update on my vm, so it just was an error on my side.

Tested the new package:

OK - changelog

update from UCS3.2-3 to UCS4.0-0
OK - grub menu
OK - boot splash
OK - login theme
OK - login splash
OK - background image (800x600, 1024x768)

FYI: openbox is the default session on my vm.
Comment 18 Stefan Gohmann univentionstaff 2014-11-26 06:55:44 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".